> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter um webhook de saída

> Obtém um único webhook de saída pelo id. Entradas em dead-letter são resolvidas de forma transparente e expostas com `status="DEAD_LETTER"` e os campos adicionais de dead-letter preenchidos.



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml GET /v1/webhooks/outbound/{id}
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.7.6
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/webhooks/outbound/{id}:
    get:
      tags:
        - Webhooks API
      summary: Obter um webhook de saída
      description: >-
        Obtém um único webhook de saída pelo id. Entradas em dead-letter são
        resolvidas de forma transparente e expostas com `status="DEAD_LETTER"` e
        os campos adicionais de dead-letter preenchidos.
      parameters:
        - name: id
          in: path
          description: ID do webhook de saída (UUID)
          required: true
          schema:
            type: string
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookOutboundOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
      security:
        - bearerAuth: []
components:
  schemas:
    WebhookOutboundOutput:
      properties:
        attemptCount:
          type: integer
          example: 0
        createdAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        deadLetter:
          description: >-
            Campos exclusivos de dead-letter. Preenchidos quando DeadLetter é
            true.
          example: false
          type: boolean
        deliveredAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        entityId:
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
          type: string
        entityType:
          example: DICT_ENTRY
          type: string
        errorMessage:
          example: timeout calling target URL
          type: string
        failedAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        failureReason:
          example: max_retries_exceeded
          type: string
        flowType:
          example: DICT
          type: string
        id:
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
          type: string
        lastAttemptAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        maxRetries:
          example: 3
          type: integer
        movedBy:
          example: system
          type: string
        nextRetryAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        payload:
          type: object
        requestId:
          example: 560d59b9-3c74-46f8-be67-fee895b8e89e
          type: string
        status:
          enum:
            - PENDING
            - PROCESSING
            - SENT
            - FAILED
            - DEAD_LETTER
          example: PENDING
          type: string
        targetUrl:
          example: https://client.example.com/webhooks
          type: string
        updatedAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
      type: object
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````